VMTKSURFACESUBDIVISION(1)

NAME
vmtksurfacesubdivision - vmtk script vmtksurfacesubdivision

DESCRIPTION
Automatic piping vmtksurfacesubdivision Parsing options vmtksurfacesubdivision

vmtksurfacesubdivision : subdivide a triangulated surface

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Surface (vtkPolyData,1): the input surface

-ifile SurfaceInputFileName (str,1): filename for the default

    Surface reader

-subdivisions NumberOfSubdivisions (int,1) >= 0; default=1: number

    of triangle subdivisions

-method Method (str,1) in ['linear', 'butterfly', 'loop'];

    default=linear: subdivision method

-ofile SurfaceOutputFileName (str,1): filename for the default

    Surface writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Surface (vtkPolyData,1): the output surface